因为要走消息队列,需要在本地装ampq扩展,结果在装的过程中,报以下错误:


configure: error: Please reinstall the librabbitmq distribution itself or (re)install librabbitmq development package if it available in your system

找遍网络,下面这篇文章完美的解决的我的问题,在这转载一份备用。

这错误的原因是因为没有安装amqp的依赖包rabbitmq-c,需要先安装rabbitmq-c。

1.安装rabbitmq-c-0.7.1

没有安装就会提示上面的错误
我选择的是最新版本0.7.1


wget https://github.com/alanxz/rabbitmq-c/releases/download/v0.7.1/rabbitmq-c-0.7.1.tar.gz tar zxf rabbitmq-c-0.7.1.tar.gz cd rabbitmq-c-0.7.1 ./configure --prefix=/usr/local/rabbitmq-c-0.7.1 make && make install

成功之后看到如下界面

2.安装amqp

我选择的是1.6.1


wget https://pecl.php.net/get/amqp-1.6.1.tgz tar zxf amqp-1.6.1.tgz cd amqp-1.6.1 /usr/local/php/bin/phpize ./configure --with-php-config=/usr/local/php/bin/php-config --with-amqp --with-librabbitmq-dir=/usr/local/rabbitmq-c-0.7.1

注意:这里的/usr/local/rabbitmq-c-0.7.1要跟上面rabbitmq-c安装的地址一样


make && make install

安装成功之后记录下面的地址,配置添加php模块的时候有用

3.添加php模块


vi /usr/local/php/etc/php.ini

最后添加一行


extension = /usr/local/php/lib/php/extensions/no-debug-non-zts-20100525/amqp.so

重启php


service php-fpm restart4.检查amqp安装

用phpinfo来检查一下amqp是否安装成功